Recent

Author Topic: Cannot find /lib/ld-linux.so.3 while cross-compiling to ARM  (Read 63294 times)

marcov

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 8504
  • FPC developer.
Re: Cannot find /lib/ld-linux.so.3 while cross-compiling to ARM
« Reply #30 on: February 17, 2012, 10:21:55 am »
Yes, sorry forgot to mention it.

On my system, "apt-file search ld-linux.so.3" doesn't return any results.

Does apt-file actually find stuff installed by base?

Seenkao

  • New Member
  • *
  • Posts: 34
Re: Cannot find /lib/ld-linux.so.3 while cross-compiling to ARM
« Reply #31 on: April 17, 2020, 04:30:12 pm »
Данная проблема проявляется и по сей день.

Либо нехватает каких-то библиотек, либо компилятор ищет не те библиотеки.

Прописывайте пути, обновляйте всё что возможно и просто меняйте целевой процессор ARM5, ARM6, ARM7 или ещё какой.

В общем без танцев с бубном не обойтись...

PascalDragon

  • Hero Member
  • *****
  • Posts: 1791
  • Compiler Developer
Re: Cannot find /lib/ld-linux.so.3 while cross-compiling to ARM
« Reply #32 on: April 17, 2020, 04:49:57 pm »
English, please.

Seenkao

  • New Member
  • *
  • Posts: 34
Re: Cannot find /lib/ld-linux.so.3 while cross-compiling to ARM
« Reply #33 on: April 17, 2020, 05:34:11 pm »
я не силён в английском.
google translator to help.

Thaddy

  • Hero Member
  • *****
  • Posts: 10228
Re: Cannot find /lib/ld-linux.so.3 while cross-compiling to ARM
« Reply #34 on: April 17, 2020, 06:00:59 pm »
я не силён в английском.
google translator to help.
Which in this case helps, but makes too many mistakes....
(My wife is from Lithuania and makes a lot less mistakes)
« Last Edit: April 17, 2020, 06:04:02 pm by Thaddy »
I am more like donkey than shrek

Seenkao

  • New Member
  • *
  • Posts: 34
Re: Cannot find /lib/ld-linux.so.3 while cross-compiling to ARM
« Reply #35 on: April 17, 2020, 08:19:10 pm »
installation of FPC through CodeTyphon (if necessary) installation Lazarus.

target android-arm (not linux-arm)

FPC > 3.0.4!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! >:(  (not equal 3.0.4)

path check!!!
checking used libraries!!!!
iterate over different options!!!

and alas, without dancing with a tambourine you can’t get anywhere...

understand?  :)
« Last Edit: April 17, 2020, 08:23:03 pm by Seenkao »

 

TinyPortal © 2005-2018